=== debian/control ===
Source: ros-indigo-lama-common
Section: misc
Priority: extra
Maintainer: Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-angles, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-laser-geometry, ros-indigo-map-ray-caster, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/lama_common
Standards-Version: 3.9.2

Package: ros-indigo-lama-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-angles, ros-indigo-geometry-msgs, ros-indigo-laser-geometry, ros-indigo-map-ray-caster, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-visualization-msgs
Description: Utilities for the LaMa package
